Detail úhrady dokladu
Vráti detail jednej úhrady. Response obsahuje typ a ID zdrojového dokladu, použitú menu, spôsob úhrady a prípadne aj preview daňového dokladu k prijatej platbe.
curl --request GET \
--url https://app.fintoro.sk/api/public/v1/document-payments/{documentPayment} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fintoro.sk/api/public/v1/document-payments/{documentPayment}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fintoro.sk/api/public/v1/document-payments/{documentPayment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 801,
"documentType": "invoice",
"documentId": 301,
"paymentMethod": {
"id": 1,
"name": "Platba prevodom"
},
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"paymentDate": "2026-03-07",
"amount": 15.5,
"currencyRate": 1,
"receiptInvoice": {
"id": 301,
"uuid": "6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19",
"type": "invoice",
"number": "20260001",
"clientId": 101,
"client": {
"name": "Acme s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@acme.test",
"street": "Hlavná 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703,
"country": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
},
"hasDeliveryAddress": true,
"deliveryStreet": "Skladová 9",
"deliveryCity": "Košice",
"deliveryZip": "04001",
"deliveryCountryId": 703,
"deliveryCountry": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
}
},
"issueDate": "2026-03-03",
"dueDate": "2026-03-17",
"deliveryDate": "2026-03-03",
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"total": 200,
"totalWithVat": 240,
"toBePaid": 240,
"status": "unpaid",
"hasVat": true
}
}{
"message": "This action is unauthorized."
}{
"message": "No query results for model."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Autorizace
Bearer token vytvorený pre konkrétnu firmu v Integrácie → API.
Parametry cesty
ID úhrady dokladu.
801
Odpověď
Detail úhrady dokladu.
Jedna úhrada public dokladu.
Interné ID úhrady.
801
Typ dokladu, ku ktorému úhrada patrí.
invoice, proforma, credit-note "invoice"
ID dokladu, ku ktorému úhrada patrí.
301
Použitý spôsob úhrady ako vnorený lookup objekt.
Show child attributes
Show child attributes
Mena úhrady ako vnorený lookup objekt.
Show child attributes
Show child attributes
Dátum úhrady vo formáte Y-m-d.
"2026-03-07"
Suma úhrady v mene úhrady.
15.5
Kurz meny úhrady voči EUR. Ak je mena úhrady EUR, backend vždy vráti 1.0.
1
Preview daňového dokladu k prijatej platbe, ak existuje.
Show child attributes
Show child attributes

